import { IEnumerator, Base, Type } from "./type";
export declare class AbstractEnumerator extends Base implements IEnumerator {
    private a;
    constructor(a: any);
    readonly currentObject: any;
    moveNext(): boolean;
    reset(): void;
    static $t: Type;
}
